<template>
    <div class="container">
        <div class="row justify-content-center ">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header container-fluid">
                        <div class="row">
                            <div class="col-md-10">
                                <h3 class="w-75 p-3">Data Laporan</h3>
                            </div>
                        </div>
                    </div>

                    <div class="card-body">
                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <th>No.</th>
                                    <th>Foto</th>
                                    <th>Judul</th>
                                    <th>Deskripsi</th>
                                    <th>Client</th>
                                    <th>Teknisi</th>
                                    <th>Rating</th>
                                    <th>Status</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr v-for="(d, i) in data" :key="d.id">
                                    <td>{{ i + 1 }}</td>
                                    <td>
                                        <a
                                            v-bind:href="`${d.photo}`"
                                            target="blank"
                                        >
                                            <img
                                                v-bind:src="`${d.photo}`"
                                                width="150"
                                        /></a>
                                    </td>
                                    <td>{{ d.judul }}</td>
                                    <td>{{ d.deskripsi }}</td>
                                    <td>{{ d.client_name }}</td>
                                    <td>{{ d.teknisi_name }}</td>
                                    <td>{{ d.rating }}</td>
                                    <td>
                                        <div v-if="d.status === 1">
                                            <span class="badge badge-warning"
                                                >Belum Diproses</span
                                            >
                                        </div>
                                        <div v-else-if="d.status === 2">
                                            <span class="badge badge-info"
                                                >Sedang Diproses</span
                                            >
                                        </div>
                                        <div v-else-if="d.status === 3">
                                            <span class="badge badge-success"
                                                >Selesai</span
                                            >
                                        </div>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>
<script>
export default {
    data() {
        return {
            data: []
        };
    },
    beforeMount() {
        this.init();
    },
    methods: {
        init() {
            axios.defaults.headers.common["Content-Type"] = "application/json";
            axios.defaults.headers.common["Authorization"] =
                "Bearer " + localStorage.getItem("jwt");

            axios
                .get(`../api/laporan`)
                .then(response => {
                    this.data = response.data.data;
                })
                .catch(error => {
                    console.error(error);
                });
        }
    }
};
</script>
